package map;

import java.io.IOException;

import map.model.City;

public class CityFactory {
	private Sdf25kFactory factory25k;
	private Sdf2500Factory factory2500;

	public City create(int code) throws IOException {
		City city = new City(code, null);
		this.factory25k.product(city);
		this.factory2500.product(city);
		return city;
	}
}
